/*
		ExdescAdd.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.
.		
		Class to match a dialog..	
*/


#include "stdafx.h"
#include "Cbreak.h"
#include "ExdescAdd.h"
#include "utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// ExdescAdd dialog


ExdescAdd::ExdescAdd(int type, CWnd* pParent /*=NULL*/)
	: CDialog(ExdescAdd::IDD, pParent)
{
	//{{AFX_DATA_INIT(ExdescAdd)
	m_exdesc_string = _T("");
	m_exdesc_keywords = _T("");
	//}}AFX_DATA_INIT
	m_type = type;
}


void ExdescAdd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(ExdescAdd)
	DDX_Control(pDX, IDC_NEW_EXDESC, e_exdesc_string);
	DDX_Control(pDX, IDC_EXDESC_KEYWORD_EDIT, e_exdesc_keywords);
	DDX_Text(pDX, IDC_NEW_EXDESC, m_exdesc_string);
	DDX_Text(pDX, IDC_EXDESC_KEYWORD_EDIT, m_exdesc_keywords);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(ExdescAdd, CDialog)
	//{{AFX_MSG_MAP(ExdescAdd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// ExdescAdd message handlers
extern CCbreakApp theApp;
extern World the_world;
void ExdescAdd::OnOK() 
{
  int rnum;
  
  switch(m_type) {
    case EXDESC_ROOM:
      rnum = theApp.dlg->current_room;
      UpdateData(TRUE);
  	  the_world.room_list[rnum].add_exdata(iprintf("%s",m_exdesc_keywords),
 				iprintf("%s",m_exdesc_string));
      theApp.dlg->m_redit.LoadRedit(); 
      break;
  	case EXDESC_OBJ:
  		rnum = theApp.dlg->current_obj;
  		UpdateData(TRUE);
	  	the_world.obj_list[rnum].add_exdata(iprintf("%s",m_exdesc_keywords),
			  iprintf("%s",m_exdesc_string));
	  	theApp.dlg->m_oedit.LoadOedit();
	  	break;
	  default:
		  error("Hm. Devil with a blue dress on.");
	}

	CDialog::OnOK();
}
